Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
com.google.scrollview.events.SVEvent Class Reference

List of all members.

## Public Member Functions

| SVEvent (SVEventType t, SVWindow w, int x1, int y1, int x2, int y2, String p)
| SVEvent (SVEventType eventtype, SVWindow svWindow, int commandid, String value)
String | toString ()

## Detailed Description

The SVEvent is a structure which holds the actual values of a message to be transmitted. It corresponds to the client structure defined in scrollview.h

Author:
  wanke.nosp@m.@goo.nosp@m.gle.c.nosp@m.om

Definition at line 21 of file SVEvent.java.

## Constructor & Destructor Documentation

com.google.scrollview.events.SVEvent.SVEvent | ( | SVEventType | t,
|  | SVWindow | w,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | String | p
| ) |  |

inline

A "normal" SVEvent.

Parameters:

  t | The type of the event as specified in SVEventType (e.g. SVET_CLICK)
  w | The window the event corresponds to
  x1 | X position of the mouse at the time of the event
  y1 | Y position of the mouse at the time of the event
  x2 | X selection size at the time of the event
  y2 | Y selection size at the time of the event
  p | A parameter associated with the event (e.g. keyboard input)

Definition at line 43 of file SVEvent.java.

{
type = t;
window = w;
x = x1;
y = y1;
xSize = x2;
ySize = y2;
commandId = 0;
parameter = p;
}

com.google.scrollview.events.SVEvent.SVEvent | ( | SVEventType | eventtype,
|  | SVWindow | svWindow,
|  | int | commandid,
|  | String | value
| ) |  |

inline

An event which issues a command (like clicking on a item in the menubar).

Parameters:

  eventtype | The type of the event as specified in SVEventType (usually SVET_MENU or SVET_POPUP)
  svWindow | The window the event corresponds to
  commandid | The associated id with the command (given by the client on construction of the item)
  value | A parameter associated with the event (e.g. keyboard input)

Definition at line 65 of file SVEvent.java.

{
type = eventtype;
window = svWindow;
parameter = value;
x = 0;
y = 0;
xSize = 0;
ySize = 0;
commandId = commandid;
}

## Member Function Documentation

String com.google.scrollview.events.SVEvent.toString | ( |  | ) |

inline

This is the string representation of the message, which is what will actually be transferred over the network.

Definition at line 83 of file SVEvent.java.

{
return (window.hash + "," + type.ordinal() + "," + x + "," + y + ","
+ xSize + "," + ySize + "," + commandId + "," + parameter);
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/java/com/google/scrollview/events/SVEvent.java